Bug 1255658 - [ALL-LANGS] - Add New VM --> Host tab, Tool tip content present but the button not found
[ALL-LANGS] - Add New VM --> Host tab, Tool tip content present but the butto...
Status: CLOSED WONTFIX
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
---
All Linux
low Severity low (vote)
: ovirt-4.0.0-alpha
: ---
Assigned To: Greg Sheremeta
Pavel Stehlik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-21 05:27 EDT by Satyabrata Maitra
Modified: 2016-04-06 07:27 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-06 07:27:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ylavi: ovirt‑4.0.0?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)
proposed fix (9.51 KB, image/png)
2015-12-16 13:10 EST, Greg Sheremeta
no flags Details

  None (edit)
Description Satyabrata Maitra 2015-08-21 05:27:50 EDT
Created attachment 1065512 [details]
invisible tool tip with visible content

Description of problem:
Under Virtual Machines --> New VM --> Host tab, there is one level - Pass-Through Host CPU, for which the content of the tool tip is there, but it seems that the tool tip itself not visible. Currently mouse over anywhere in that level boundary showing the tool tip content.

Version-Release number of selected component (if applicable):
Red Hat Enterprise Virtualization Manager Version: 3.6.0-0.11.master.el6

How reproducible:
Always

Steps to Reproduce:
1. Login in RHEVM admin portal in any locale (Checked with en_US)
2. Navigate tabs : Virtual Machines --> New VM
3. Click on "Show Advanced Options button below
4. Click on Host sub tab
5. Observe the level Pass-Through Host CPU
6. Mouse over anywhere on or around that level.
7. Observe the tool tip content and also observe there is no tool tip button (a 
   question mark in blue circle) is present.

Actual results:
Tool tip content is there, but no tool tip button found

Expected results:
If the content showing when mouse over the level, belongs to a specific tool tip, that should be present.

Additional info:
Screen shot attached with pointed out the error by red arrow and comment.
Comment 1 Einav Cohen 2015-08-22 16:02:28 EDT
there are a couple of ways that "hint" on a tool-tip:

(1) question mark icon - these are for explaining the meaning of the field.
(2) underline - these are for explaining about the constraints of a certain field (e.g. available only for specific compatibility versions, etc.).  

Assuming the above is correct - an underline should be added to the "Pass-Through Host CPU" check-box label (similarly to the two labels above it ("Auto Converge migrations" and "Enable migration compression"). 
Not sure how easy it is to do though. 

@Greg: 
As far as you know: is the above correct?
Can we support underline for check-box labels in dialogs?
Any other thoughts or insights that you have on this?
Comment 3 Satyabrata Maitra 2015-08-24 02:39:23 EDT
Removed. Actually I had included "Red Hat Employee" Group as well, which allows all in Red Hat to view the bug, but some how it did not take effect. Anyway, now removed all group/groups. Thanks.

Regards
Satya
Comment 4 Omer Frenkel 2015-08-24 03:07:19 EDT
thanks!
restoring need-info from Einav for Greg
Comment 5 Einav Cohen 2015-11-03 14:36:08 EST
@Greg - 'needinfo' (see comment #1) on you still pending. 
Also - is that something that you and Scott can work on? [this is 4.0.0 material, so (a) lower priority than 3.6 BZs, and (b) no need to backport to 3.6 once fixed].
Comment 6 Red Hat Bugzilla Rules Engine 2015-11-30 15:58:15 EST
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.
Comment 7 Greg Sheremeta 2015-12-16 13:10:05 EST
It should be underlined -- see my attached proposed fix.

Scott and I can pair up on this one.
Comment 8 Greg Sheremeta 2015-12-16 13:10 EST
Created attachment 1106500 [details]
proposed fix
Comment 9 Michal Skrivanek 2016-03-16 03:23:24 EDT
host cpu passthrough is/was an SLA feature, reassigning
Comment 10 Doron Fediuck 2016-04-06 07:27:51 EDT
Closing old issues based on capacity.
Please re-open if relevant and needed.

Note You need to log in before you can comment on or make changes to this bug.